package com.ruoyi.project.reliability.service;

import java.util.List;
import com.ruoyi.project.reliability.domain.TKekaoApprove;

/**
 * 可靠性管理申请Service接口
 * 
 * @author ruoyi
 * @date 2022-07-08
 */
public interface ITKekaoApproveService 
{
    /**
     * 查询可靠性管理申请
     * 
     * @param id 可靠性管理申请ID
     * @return 可靠性管理申请
     */
    public TKekaoApprove selectTKekaoApproveById(Long id);

    /**
     * 查询可靠性管理申请列表
     * 
     * @param tKekaoApprove 可靠性管理申请
     * @return 可靠性管理申请集合
     */
    public List<TKekaoApprove> selectTKekaoApproveList(TKekaoApprove tKekaoApprove);

    /**
     * 新增可靠性管理申请
     * 
     * @param tKekaoApprove 可靠性管理申请
     * @return 结果
     */
    public int insertTKekaoApprove(TKekaoApprove tKekaoApprove);

    /**
     * 修改可靠性管理申请
     * 
     * @param tKekaoApprove 可靠性管理申请
     * @return 结果
     */
    public int updateTKekaoApprove(TKekaoApprove tKekaoApprove);

    /**
     * 批量删除可靠性管理申请
     * 
     * @param ids 需要删除的可靠性管理申请ID
     * @return 结果
     */
    public int deleteTKekaoApproveByIds(Long[] ids);

    /**
     * 删除可靠性管理申请信息
     * 
     * @param id 可靠性管理申请ID
     * @return 结果
     */
    public int deleteTKekaoApproveById(Long id);
}
